path: /build/build/hexchat-net-irc-2.16.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libcanberra -lua -perl -plugin-sysinfo -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -theme-manager dbus gtk lua_single_target_lua5-1 lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4 lua_single_target_luajit python python_single_target_python3_9 ssl" emerge net-irc/hexchat -pv -t && \
    USE="-libcanberra -lua -perl -plugin-sysinfo -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -theme-manager dbus gtk lua_single_target_lua5-1 lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4 lua_single_target_luajit python python_single_target_python3_9 ssl" emerge -j ${JOBS} --nodeps net-irc/hexchat
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hexchat && luet-portage --dir /pkgdir/hexchat
    net-irc/hexchat && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: hexchat
    version: 2.16.1
    category: net-irc
    use_flags:
    - -libcanberra
    - -lua
    - -perl
    - -plugin-sysinfo
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -theme-manager
    - dbus
    - gtk
    - lua_single_target_lua5-1
    - lua_single_target_lua5-2
    - lua_single_target_lua5-3
    - lua_single_target_lua5-4
    - lua_single_target_luajit
    - python
    - python_single_target_python3_9
    - ssl
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Graphical IRC client based on XChat
    uri:
    - https://hexchat.github.io/
    license: GPL-2 plugin-fishlim? ( MIT )
    buildtimestamp: 2023-10-03 11:37:13.549562422 +0000 UTC m=+138.156489934
    labels:
      BDEPEND: dev-util/glib-utils app-arch/xz-utils app-text/iso-codes sys-devel/gettext
        virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/glib:2 dbus? ( dev-libs/dbus-glib ) gtk? ( x11-libs/gdk-pixbuf:2
        x11-libs/gtk+:2 x11-libs/libX11 x11-libs/pango ) libcanberra? ( media-libs/libcanberra
        ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) ) perl?
        ( dev-lang/perl:= ) plugin-sysinfo? ( sys-apps/pciutils ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) virtual/python-cffi ) ssl? ( dev-libs/openssl:0= ) theme-manager? ( || (
        ( dev-lang/mono[minimal] dev-dotnet/libgdiplus ) dev-lang/mono[-minimal] )
        ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      IUSE: dbus debug +gtk libcanberra lua perl plugin-checksum plugin-fishlim plugin-sysinfo
        python ssl theme-manager lua_single_target_luajit lua_single_target_lua5-1
        lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4
        python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_single_target_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: dev-libs/glib:2 dbus? ( dev-libs/dbus-glib ) gtk? ( x11-libs/gdk-pixbuf:2
        x11-libs/gtk+:2 x11-libs/libX11 x11-libs/pango ) libcanberra? ( media-libs/libcanberra
        ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) ) perl?
        ( dev-lang/perl:= ) plugin-sysinfo? ( sys-apps/pciutils ) python? ( python_single_target_python3_7?
        ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) virtual/python-cffi ) ssl? ( dev-libs/openssl:0= ) theme-manager? ( || (
        ( dev-lang/mono[minimal] dev-dotnet/libgdiplus ) dev-lang/mono[-minimal] )
        )
      emerge.packages: net-irc/hexchat
      kit: net-kit
      original.package.name: net-irc/hexchat
      original.package.slot: "0"
      original.package.version: 2.16.1
    treedir: /build/packages
  package_dir: /pkgdir/hexchat
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ba0c04ec73f3816bc31231107a0af324fe2ef71115483d79383dd27a670bf512
compressiontype: zstd
files:
- usr/bin/hexchat
- usr/include/hexchat-plugin.h
- usr/lib64/hexchat/plugins/python.so
- usr/lib64/hexchat/python/_hexchat.py
- usr/lib64/hexchat/python/hexchat.py
- usr/lib64/hexchat/python/xchat.py
- usr/lib64/pkgconfig/hexchat-plugin.pc
- usr/share/applications/io.github.Hexchat.desktop
- usr/share/dbus-1/services/org.hexchat.service.service
- usr/share/doc/hexchat-2.16.1/readme.md.bz2
- usr/share/icons/hicolor/48x48/apps/io.github.Hexchat.png
- usr/share/icons/hicolor/scalable/apps/io.github.Hexchat.svg
- usr/share/locale/af/LC_MESSAGES/hexchat.mo
- usr/share/locale/am/LC_MESSAGES/hexchat.mo
- usr/share/locale/ast/LC_MESSAGES/hexchat.mo
- usr/share/locale/az/LC_MESSAGES/hexchat.mo
- usr/share/locale/be/LC_MESSAGES/hexchat.mo
- usr/share/locale/bg/LC_MESSAGES/hexchat.mo
- usr/share/locale/ca/LC_MESSAGES/hexchat.mo
- usr/share/locale/cs/LC_MESSAGES/hexchat.mo
- usr/share/locale/da/LC_MESSAGES/hexchat.mo
- usr/share/locale/de/LC_MESSAGES/hexchat.mo
- usr/share/locale/el/LC_MESSAGES/hexchat.mo
- usr/share/locale/en_GB/LC_MESSAGES/hexchat.mo
- usr/share/locale/es/LC_MESSAGES/hexchat.mo
- usr/share/locale/et/LC_MESSAGES/hexchat.mo
- usr/share/locale/eu/LC_MESSAGES/hexchat.mo
- usr/share/locale/fi/LC_MESSAGES/hexchat.mo
- usr/share/locale/fr/LC_MESSAGES/hexchat.mo
- usr/share/locale/gl/LC_MESSAGES/hexchat.mo
- usr/share/locale/gu/LC_MESSAGES/hexchat.mo
- usr/share/locale/hi/LC_MESSAGES/hexchat.mo
- usr/share/locale/hu/LC_MESSAGES/hexchat.mo
- usr/share/locale/id/LC_MESSAGES/hexchat.mo
- usr/share/locale/it/LC_MESSAGES/hexchat.mo
- usr/share/locale/ja_JP/LC_MESSAGES/hexchat.mo
- usr/share/locale/kn/LC_MESSAGES/hexchat.mo
- usr/share/locale/ko/LC_MESSAGES/hexchat.mo
- usr/share/locale/lt/LC_MESSAGES/hexchat.mo
- usr/share/locale/lv/LC_MESSAGES/hexchat.mo
- usr/share/locale/mk/LC_MESSAGES/hexchat.mo
- usr/share/locale/ml/LC_MESSAGES/hexchat.mo
- usr/share/locale/ms/LC_MESSAGES/hexchat.mo
- usr/share/locale/nb/LC_MESSAGES/hexchat.mo
- usr/share/locale/nl/LC_MESSAGES/hexchat.mo
- usr/share/locale/no/LC_MESSAGES/hexchat.mo
- usr/share/locale/pa/LC_MESSAGES/hexchat.mo
- usr/share/locale/pl/LC_MESSAGES/hexchat.mo
- usr/share/locale/pt/LC_MESSAGES/hexchat.mo
- usr/share/locale/pt_BR/LC_MESSAGES/hexchat.mo
- usr/share/locale/ru/LC_MESSAGES/hexchat.mo
- usr/share/locale/rw/LC_MESSAGES/hexchat.mo
- usr/share/locale/sk/LC_MESSAGES/hexchat.mo
- usr/share/locale/sl/LC_MESSAGES/hexchat.mo
- usr/share/locale/sq/LC_MESSAGES/hexchat.mo
- usr/share/locale/sr/LC_MESSAGES/hexchat.mo
- usr/share/locale/sr@latin/LC_MESSAGES/hexchat.mo
- usr/share/locale/sv/LC_MESSAGES/hexchat.mo
- usr/share/locale/th/LC_MESSAGES/hexchat.mo
- usr/share/locale/tr/LC_MESSAGES/hexchat.mo
- usr/share/locale/uk/LC_MESSAGES/hexchat.mo
- usr/share/locale/vi/LC_MESSAGES/hexchat.mo
- usr/share/locale/wa/LC_MESSAGES/hexchat.mo
- usr/share/locale/zh_CN/LC_MESSAGES/hexchat.mo
- usr/share/locale/zh_TW/LC_MESSAGES/hexchat.mo
- usr/share/man/man1/hexchat.1.bz2
- var/db/pkg/net-irc/hexchat-2.16.1/BDEPEND
- var/db/pkg/net-irc/hexchat-2.16.1/BUILD_TIME
- var/db/pkg/net-irc/hexchat-2.16.1/CATEGORY
- var/db/pkg/net-irc/hexchat-2.16.1/CBUILD
- var/db/pkg/net-irc/hexchat-2.16.1/CFLAGS
- var/db/pkg/net-irc/hexchat-2.16.1/CHOST
- var/db/pkg/net-irc/hexchat-2.16.1/CONTENTS
- var/db/pkg/net-irc/hexchat-2.16.1/COUNTER
- var/db/pkg/net-irc/hexchat-2.16.1/CXXFLAGS
- var/db/pkg/net-irc/hexchat-2.16.1/DEFINED_PHASES
- var/db/pkg/net-irc/hexchat-2.16.1/DEPEND
- var/db/pkg/net-irc/hexchat-2.16.1/DESCRIPTION
- var/db/pkg/net-irc/hexchat-2.16.1/EAPI
- var/db/pkg/net-irc/hexchat-2.16.1/FEATURES
- var/db/pkg/net-irc/hexchat-2.16.1/HOMEPAGE
- var/db/pkg/net-irc/hexchat-2.16.1/INHERITED
- var/db/pkg/net-irc/hexchat-2.16.1/IUSE
- var/db/pkg/net-irc/hexchat-2.16.1/IUSE_EFFECTIVE
- var/db/pkg/net-irc/hexchat-2.16.1/KEYWORDS
- var/db/pkg/net-irc/hexchat-2.16.1/LDFLAGS
- var/db/pkg/net-irc/hexchat-2.16.1/LICENSE
- var/db/pkg/net-irc/hexchat-2.16.1/NEEDED
- var/db/pkg/net-irc/hexchat-2.16.1/PF
- var/db/pkg/net-irc/hexchat-2.16.1/PROVIDES
- var/db/pkg/net-irc/hexchat-2.16.1/RDEPEND
- var/db/pkg/net-irc/hexchat-2.16.1/REQUIRES
- var/db/pkg/net-irc/hexchat-2.16.1/SIZE
- var/db/pkg/net-irc/hexchat-2.16.1/SLOT
- var/db/pkg/net-irc/hexchat-2.16.1/USE
- var/db/pkg/net-irc/hexchat-2.16.1/environment.bz2
- var/db/pkg/net-irc/hexchat-2.16.1/hexchat-2.16.1.ebuild
- var/db/pkg/net-irc/hexchat-2.16.1/repository
package_cacheimage: ""
runtime:
  name: hexchat
  version: 2.16.1
  category: net-irc
  use_flags:
  - -libcanberra
  - -lua
  - -perl
  - -plugin-sysinfo
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -theme-manager
  - dbus
  - gtk
  - lua_single_target_lua5-1
  - lua_single_target_lua5-2
  - lua_single_target_lua5-3
  - lua_single_target_lua5-4
  - lua_single_target_luajit
  - python
  - python_single_target_python3_9
  - ssl
  requires:
  - name: dbus-glib
    version: '>=0'
    category: dev-libs
  - name: python-cffi
    version: '>=0'
    category: virtual
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Graphical IRC client based on XChat
  uri:
  - https://hexchat.github.io/
  license: GPL-2 plugin-fishlim? ( MIT )
  labels:
    BDEPEND: dev-util/glib-utils app-arch/xz-utils app-text/iso-codes sys-devel/gettext
      virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/glib:2 dbus? ( dev-libs/dbus-glib ) gtk? ( x11-libs/gdk-pixbuf:2
      x11-libs/gtk+:2 x11-libs/libX11 x11-libs/pango ) libcanberra? ( media-libs/libcanberra
      ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) ) perl? (
      dev-lang/perl:= ) plugin-sysinfo? ( sys-apps/pciutils ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) virtual/python-cffi ) ssl? ( dev-libs/openssl:0= ) theme-manager? ( || ( (
      dev-lang/mono[minimal] dev-dotnet/libgdiplus ) dev-lang/mono[-minimal] ) ) dev-util/desktop-file-utils
      x11-misc/shared-mime-info
    IUSE: dbus debug +gtk libcanberra lua perl plugin-checksum plugin-fishlim plugin-sysinfo
      python ssl theme-manager lua_single_target_luajit lua_single_target_lua5-1 lua_single_target_lua5-2
      lua_single_target_lua5-3 lua_single_target_lua5-4 python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_single_target_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
    RDEPEND: dev-libs/glib:2 dbus? ( dev-libs/dbus-glib ) gtk? ( x11-libs/gdk-pixbuf:2
      x11-libs/gtk+:2 x11-libs/libX11 x11-libs/pango ) libcanberra? ( media-libs/libcanberra
      ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) ) perl? (
      dev-lang/perl:= ) plugin-sysinfo? ( sys-apps/pciutils ) python? ( python_single_target_python3_7?
      ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7] )
      python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) virtual/python-cffi ) ssl? ( dev-libs/openssl:0= ) theme-manager? ( || ( (
      dev-lang/mono[minimal] dev-dotnet/libgdiplus ) dev-lang/mono[-minimal] ) )
    emerge.packages: net-irc/hexchat
    kit: net-kit
    original.package.name: net-irc/hexchat
    original.package.slot: "0"
    original.package.version: 2.16.1
